package com.akamai.ampaudiodemo;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.widget.Toast;

import com.akamai.media.IPlayerEventsListener;
import com.akamai.media.VideoPlayerContainer;
import com.akamai.media.VideoPlayerView;
import com.akamai.media.elements.MediaResource;

public class AudioService extends Service implements IPlayerEventsListener {


    public VideoPlayerView mVideoView;

    public static boolean isRunning = false;
    private final static String LICENSE = "QpJHv679nYOslfq_CIn2a6EGd8VIHe_3VXnppglKToMhdPyUrsIkOVAMU4RHKjfDnICOuuIkFHoLgaZ5vnAHaA==";

    @Override
    public IBinder onBind(Intent arg0) {
        return null;
    }
    public void onCreate(){
        super.onCreate();
    }

    public int onStartCommand(android.content.Intent intent, int flags, int startId) {
        if(mVideoView != null && isRunning){
            mVideoView.stop();
        }
        String url = intent.getStringExtra("URL");

        Toast.makeText(getApplicationContext(), "Playing: " + url, Toast.LENGTH_SHORT).show();

        MainActivity.mVideoContainer.addVideoPlayerContainerCallback(new VideoPlayerContainer.VideoPlayerContainerCallback() {
            @Override
            public void onVideoPlayerCreated() {

            }

            @Override
            public void onResourceReady(MediaResource mediaResource) {
                MainActivity.mVideoContainer.setDefaultMode(VideoPlayerContainer.MODE_EXO);
                mVideoView =  MainActivity.mVideoContainer.getAudioPlayer();
                mVideoView.addEventsListener(AudioService.this);
                mVideoView.setLicense(LICENSE);
                mVideoView.play(mediaResource);
                isRunning = true;
            }

            @Override
            public void onResourceError() {

            }
        });
        MainActivity.mVideoContainer.prepareResource(url);
        return Service.START_NOT_STICKY;
    }

    public void onDestroy(){

        super.onDestroy();
        if(mVideoView != null){
            mVideoView.stop();
            mVideoView.onDestroy();
        }
        isRunning = false;
    }

    @Override
    public boolean onPlayerEvent(int iInEventType) {
        return true;
    }

    @Override
    public boolean onPlayerExtendedEvent(int iInEventType, int arg1, int arg2) {
        return true;
    }
}
